@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

@font-face {
    font-family: 'ArialNarrow';
    src: url('../font/arialnarrow.ttf') format('truetype');
}

main{
    position: relative;
    height: 100%;
    display: block;
    flex-direction: column;
    justify-content: start;
    overflow: auto;
    scrollbar-width: none;
    background-image: url(../img/background_teste.png);
    background-size: cover;
}

#section-perfil{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    margin-top: 7rem;
}

#logo-usuario{
    width: 165px;
}

.button-24 {
  background: #FF4742;
  border: 1px solid #FF4742;
  border-radius: 6px;
  box-shadow: rgba(0, 0, 0, 0.1) 1px 2px 4px;
  box-sizing: border-box;
  color: #FFFFFF;
  cursor: pointer;
  display: inline-block;
  font-family:"Poppins", sans-serif;
  font-size: 14px;
  font-weight: 500;
  line-height: 16px;
  width: 100%;
  box-sizing: border-box;
  min-height: 40px;
  outline: 0;
  padding: 6px 7px;
  text-align: center;
}


#nome-usuario {
    background-color: #0f7ebc;
    padding: 0.5rem 3.5rem;
    border-radius: 6px;
    margin: 0;
    position: absolute;
    text-align: center;
    left: 50%;
    bottom: -30px;
    width: 140px;
    font-size: 1rem;
    font-weight: 500;
    transform: translateX(-50%);
}

#roda{
    width: 320px;
    position: absolute;
    z-index: -1;
    top: -95px;
}

#descricao-perfil{
    font-size: 1.2rem;
    font-weight: 400;
    color: black;
    text-align: center;
    font-family: 'ArialNarrow', sans-serif;
    margin-bottom: 4rem;
    margin-top: 2.5rem;
    margin-left: 0.8rem;
    margin-right: 0.8rem;
}

.img_perfil{
    width: 120px;
    height: 120px;
    border-radius: 50%;
    object-fit: cover;
}

.div-perfil{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    margin: 1rem;
    background-color: #5656566b;
    padding: 1rem;
    border-radius: 10px;
}

.container_premiacoes{
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
}

.inputs_perfil{
    width: 100%;
    background-color: white;
    color: #242424;
    padding: .15rem .5rem;
    min-height: 40px;
    border-radius: 6px;
    outline: none;
    line-height: 1.15;
    padding-left: 2.5rem;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    border: 1px solid #9d9d9d8c;
}

.input-container{
    display: flex;
    align-items: center;
    gap: 0.4rem;
    width: 100%;
    position: relative;
}


.div_icone{
    font-size: 16px;
    width: 18px;
    text-align: center;
    position: absolute;
    color: #43434d;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
}

.btn_salvar{
    width: 100%;
    background-color: #0079ba;
    color: #242424;
    padding: .15rem .5rem;
    min-height: 40px;
    border-radius: 6px;
    outline: none;
    border: none;
    line-height: 1.15;
    font-family:"Poppins", sans-serif;
    box-shadow: 0px 10px 20px -18px;
    box-sizing: border-box;
    color: white;
    cursor: pointer;
    font-size: 14px;
    font-weight: 500;
}

.div_historico{
    background-color: #5656566b;
    border-radius: 10px;
    padding: 1rem;
    margin: 1rem;
    margin-bottom: 6rem;
}

.card_historico_pontos{
    display: flex;
    gap: 0.6rem;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 10px;
    margin-left: 12px;
    margin-top: 0.8rem;
}

.container_atividades{
    border-left: 2px solid #2563eb;
    padding-left: 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
}

.icone_data {
    font-size: 18px;
    background-color: #e0f2fe;
    color: #2563eb;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    margin-left: -20px;
}

.texto_historico{
    font-size: 20px;
    font-weight: 600;
    margin: 0;
}

.descricao_historico{
    font-size: 14px;
    font-weight: 400;
    margin: 0;
}

.titulo_historico_pontos{
    font-size: 14px;
    margin: 0;
    font-weight: 500;
}

.descricao_historico_pontos{
    font-size: 14px;
    color: #71717A;
    margin: 0;
    font-weight: 500;
}

.texto_xp{
    font-size: 12px;
    margin: 0;
    font-weight: 600;
    color: #0d9488;
    text-wrap-mode: nowrap;
}

.div_card_atividade{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.5rem;
    background-color: #f1f5f9;
    padding: 0.6rem;
    border-radius: 6px;
}

.div_data_historico{
    gap: 0.4rem;
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}

.container_datas{
    display: flex;
    flex-direction: column;
}

.div_titulo_nivel{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.div_nivel_xp{
    display: flex;
    flex-direction: column;
}

.xp_proximo{
    align-self: flex-end;
    margin: 0;
    font-size: 12px;
    font-weight: 400;
}

.titulo_nivel{
    font-size: 14px;
    margin: 0;
    font-weight: 600;
    color: black;
}

.descricao_nivel{
    font-size: 12px;
    margin: 0;
    font-weight: 600;
    color: #71717A;
}

.container_nivel{
    width: 100%;
    background-color: #b5e2ff33;
    box-sizing: border-box;
    border-radius: 6px;
    padding: 10px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.div_titulo{
    margin: 1rem;
}

.container_nivel_podio{
    width: 100%;
    box-sizing: border-box;
    border-radius: 6px;
    flex-direction: column;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.texto_xp_atual {
    font-size: 12px;
    font-weight: 600;
    margin: 0;
    text-wrap-mode: nowrap;
    padding: 0.2rem 0.4rem;
    background-color: white;
    border: 1px solid #0000002b;
    border-radius: 100px;
}

.div_nome_ranking{
    display: flex;
    align-items: center;
    gap: 0.6rem;
    height: 100%;
    justify-content: space-between;
}

.div_nome_ranking_podio{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.6rem;
}


.img_perfil_ranking{
    width: 40px;
    height: 40px;
}

.nome_ranking{
    font-size: 16px;
    margin: 0;
    font-weight: 500;
    text-align: center;
}

.pontos_ranking{
    font-size: 16px;
    margin: 0;
    font-weight: 500;
}

.posicao_ranking{
    font-size: 18px;
    margin: 0;
    font-weight: 500;
    width: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.titulo_ranking{
    font-size: 22px;
    margin: 0;
    font-weight: 600;
    text-align: center;
}

.sub_titulo_ranking{
    font-size: 16px;
    font-weight: 400;
    text-align: center;
    margin: 0;
}

.lugar_premio{
    font-size: 16px;
    font-weight: 600;
    margin: 0;
}

.texto_premio{
    font-size: 14px;
    font-weight: 500;
    margin: 0;
}

.descricao_premio{
    font-size: 14px;
    font-weight: 400;
    margin: 0;
}

.img_pontos_ranking{
    width: 34px;
}

.card_premiacoes{
    background-color: #b5e2ff33;
    border: 1px solid #80808066;
    width: 100%;
    box-sizing: border-box;
    border-radius: 6px;
    padding: 10px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.img_explicacao_recompensas{
    width: 50px;
    height: 50px;
}

.div_recompensa_ranking{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.div_descricao_recompensa{
    width: 100%;
}


.container_podio{
    display: flex;
    width: 100%;
    flex-direction: column;
}

.div_colocados_podio{
    display: flex;
    width: 100%;
}

.descricao_categoria{
    font-size: 12px;
    margin: 0;
    font-weight: 400;
}

.texto_seu_posicionamento{
    margin: 0;
    font-size: 14px;
    text-align: center;
    font-weight: 400;
}

.btn_compartilhar_posicionamento{
    background-color: #066868;
    color: white;
    border: none;
    border-radius: 6px;
    padding: 6px 16px;
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease;
    width: 100%;
    margin-top: 10px;
}

.div_filtro_ranking{
    display: flex;
    width: 100%;
    gap: 1rem;
    margin-bottom: 1rem;
}

.input_filtros{
    width: 100%;
    background-color: #b5e2ff33;
    box-sizing: border-box;
    border-radius: 6px;
    padding: 10px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: white;
    cursor: pointer;
}

.input_filtros option {
    background-color: white;     /* Fundo do dropdown */
    color: black;                /* Cor das opções */
}